org.eclipse.net4j.util.ui.widgets

## Class ImageButton

- java.lang.Object
- - org.eclipse.swt.widgets.Widget
  - - org.eclipse.swt.widgets.Control
    - - org.eclipse.swt.widgets.Label
      - - org.eclipse.net4j.util.ui.widgets.ImageButton

- All Implemented Interfaces:
    EventListener, MouseListener, MouseMoveListener, MouseTrackListener, Drawable, org.eclipse.swt.internal.SWTEventListener

      public class ImageButton
      extends Label
      implements MouseTrackListener, MouseMoveListener, MouseListener

  Since:
    3.5
  Author:
    Eike Stepper

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.swt.widgets.Control

      `handle`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImageButton(Composite parent, Image image)`
    `ImageButton(Composite parent, Image image, Image grayImage)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `checkSubclass()`
    `void` | `mouseDoubleClick(MouseEvent e)`
    `void` | `mouseDown(MouseEvent e)`
    `void` | `mouseEnter(MouseEvent e)`
    `void` | `mouseExit(MouseEvent e)`
    `void` | `mouseHover(MouseEvent e)`
    `void` | `mouseMove(MouseEvent e)`
    `void` | `mouseUp(MouseEvent e)`
    `protected void` | `widgetSelected()`

    - ### Methods inherited from class org.eclipse.swt.widgets.Label

      `getAlignment, getImage, getText, setAlignment, setImage, setText`

    - ### Methods inherited from class org.eclipse.swt.widgets.Control

      `addControlListener, addDragDetectListener, addFocusListener, addGestureListener, addHelpListener, addKeyListener, addMenuDetectListener, addMouseListener, addMouseMoveListener, addMouseTrackListener, addMouseWheelListener, addPaintListener, addTouchListener, addTraverseListener, computeSize, computeSize, dragDetect, dragDetect, forceFocus, getAccessible, getBackground, getBackgroundImage, getBorderWidth, getBounds, getCursor, getDragDetect, getEnabled, getFont, getForeground, getLayoutData, getLocation, getMenu, getMonitor, getOrientation, getParent, getRegion, getShell, getSize, getTextDirection, getToolTipText, getTouchEnabled, getVisible, internal_dispose_GC, internal_new_GC, isEnabled, isFocusControl, isReparentable, isVisible, moveAbove, moveBelow, pack, pack, print, redraw, redraw, removeControlListener, removeDragDetectListener, removeFocusListener, removeGestureListener, removeHelpListener, removeKeyListener, removeMenuDetectListener, removeMouseListener, removeMouseMoveListener, removeMouseTrackListener, removeMouseWheelListener, removePaintListener, removeTouchListener, removeTraverseListener, requestLayout, setBackground, setBackgroundImage, setBounds, setBounds, setCapture, setCursor, setDragDetect, setEnabled, setFocus, setFont, setForeground, setLayoutData, setLocation, setLocation, setMenu, setOrientation, setParent, setRedraw, setRegion, setSize, setSize, setTextDirection, setToolTipText, setTouchEnabled, setVisible, toControl, toControl, toDisplay, toDisplay, traverse, traverse, traverse, update`

    - ### Methods inherited from class org.eclipse.swt.widgets.Widget

      `addDisposeListener, addListener, checkWidget, dispose, getData, getData, getDisplay, getListeners, getStyle, isAutoDirection, isDisposed, isListening, notifyListeners, removeDisposeListener, removeListener, removeListener, reskin, setData, setData, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.swt.graphics.Drawable

      `isAutoScalable`

- - ### Constructor Detail

    - #### ImageButton

          public ImageButton(Composite parent,
                             Image image)

    - #### ImageButton

          public ImageButton(Composite parent,
                             Image image,
                             Image grayImage)

  - ### Method Detail

    - #### mouseEnter

          public void mouseEnter(MouseEvent e)

      Specified by:
        `mouseEnter` in interface `MouseTrackListener`

    - #### mouseExit

          public void mouseExit(MouseEvent e)

      Specified by:
        `mouseExit` in interface `MouseTrackListener`

    - #### mouseHover

          public void mouseHover(MouseEvent e)

      Specified by:
        `mouseHover` in interface `MouseTrackListener`

    - #### mouseMove

          public void mouseMove(MouseEvent e)

      Specified by:
        `mouseMove` in interface `MouseMoveListener`

    - #### mouseDoubleClick

          public void mouseDoubleClick(MouseEvent e)

      Specified by:
        `mouseDoubleClick` in interface `MouseListener`

    - #### mouseDown

          public void mouseDown(MouseEvent e)

      Specified by:
        `mouseDown` in interface `MouseListener`

    - #### mouseUp

          public void mouseUp(MouseEvent e)

      Specified by:
        `mouseUp` in interface `MouseListener`

    - #### checkSubclass

          protected void checkSubclass()

      Overrides:
        `checkSubclass` in class `Widget`

    - #### widgetSelected

          protected void widgetSelected()

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html